import { EventEmitter, OnInit, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { FormGroup, FormControl } from '@angular/forms';
import { Helper } from '../services/helper';
import { AgTableLangService } from '../services/ag-table-lang.service';
import { AgTableSettings } from '../settings/ag-table.settings';
import * as i0 from "@angular/core";
export declare class AgTableFilterComponent implements OnInit, OnChanges, OnDestroy {
    private helper;
    private langService;
    private settings;
    class: boolean;
    currentFilter: any;
    type: string;
    placeholder: string;
    dateFormat: string;
    optionAllLabel: string;
    options: {
        text: string;
        value: any;
    }[] | any[];
    frmControl: FormControl;
    onChange: EventEmitter<any>;
    onRender: EventEmitter<void>;
    private subscription;
    formFilter: FormGroup;
    selectAllOptionValue: any;
    private get debounceTime();
    dictionary: {
        CURRENCY_PH: {
            ptBR: string;
            enUS: string;
        };
        DATE_FORMAT: {
            ptBR: string;
            enUS: string;
        };
        YEAR_INITIAL: {
            ptBR: string;
            enUS: string;
        };
    };
    constructor(helper: Helper, langService: AgTableLangService, settings: AgTableSettings);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    prepareData(): boolean;
    private isEmptyValue;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AgTableFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AgTableFilterComponent, "ag-table-filter", never, { "type": "type"; "placeholder": "placeholder"; "dateFormat": "dateFormat"; "optionAllLabel": "optionAllLabel"; "options": "options"; "frmControl": "frmControl"; }, { "onChange": "onChange"; "onRender": "onRender"; }, never, never>;
}
